{
	"executor": {
		"executorType": "sequentialExecutor",
		"sequence": [ "start", "inputToCVMat", "cvtColor", "resize", "padding", "convertTo", "CVMatToTensor", "infer", "tensorToFloatTwoDimVec", "twodimfloatdataFilter", "checkVecNotEmptyNode", "final" ],
		"dataStream": {
			"inputToCVMat": {
				"input": [ "srcImage" ],
				"output": [ "CVMatOutput" ]
			},
			"cvtColor": {
				"input": [ "CVMatOutput" ],
				"output": [ "cvtColorOutput" ]
			},
			"resize": {
				"input": [ "cvtColorOutput" ],
				"output": [ "resizeOutput" ]
			},
			"padding": {
				"input": [ "resizeOutput" ],
				"output": [ "paddingOutput" ]
			},
			"convertTo": {
				"input": [ "paddingOutput" ],
				"output": [ "convertToOutput" ]
			},
			"CVMatToTensor": {
				"input": [ "convertToOutput" ],
				"output": [ "CVMatToTensorOutput" ]
			},
			"infer": {
				"input": [ "CVMatToTensorOutput" ],
				"output": [ "inferOutput" ]
			},
			"tensorToFloatTwoDimVec": {
				"input": [ "inferOutput" ],
				"output": [ "tensorToFloatVecOutput" ]
			},
			"twodimfloatdataFilter": {
				"input": [ "tensorToFloatVecOutput" ],
				"output": [ "twodimfloatdataFilterOutput" ]
			},
			"checkVecNotEmptyNode": {
				"input": [ "twodimfloatdataFilterOutput" ],
				"output": [ "output" ]
			}
		}
	},
	"node": {
		"start": {
			"nodeType": "StartNode",
			"next": "inputToCVMat"
		},
		"inputToCVMat": {
			"nodeType": "InputToCVMatNode"
		},
		"cvtColor": {
			"nodeType": "CvtColorNode",
			"code": "BGR"
		},
        "resize": {
			"nodeType": "ResizeNode",
			"width": 640,
			"height": 640,
			"equalProportion": true,
			"isIgnoreSmallImg": true
		},
		"padding": {
			"nodeType": "PaddingNode",
			"width": 640,
			"height": 640,
			"borderType" : 0,
			"makeBorderType" : 0,
			"scalarArray" : [114, 114, 114, 0]
		},
		"convertTo": {
			"nodeType": "ConvertToNode",
			"rtype": 5,
			"alpha": 0.00392156862745,
			"beta": 0,
			"useMaxPixelScale": true
		},
		"CVMatToTensor": {
			"nodeType": "CVMatToTensorNode",
			"elemsize": 4,
			"name": "",
			"layout": ["n","w","h","c"]
		},
		"infer": {
			"nodeType": "InferenceNode",
			"backendType": 0,
			"precision": 0,
			"modelFileNames": [ "watermark_detect_v1.tflite" ]
		},
		"tensorToFloatTwoDimVec": {
			"nodeType": "TensorToFloatTwoDimVecNode",
			"index":3,
			"needTranspose":true,
			"rowsIndex":1,
			"colsIndex":2
		},
		"twodimfloatdataFilter": {
			"nodeType": "TwoDimFloatDataFilterNode",
			"scoreIndex":4,
			"threshold":0.35,
			"filterMode":0
		},
		"checkVecNotEmptyNode": {
			"nodeType": "CheckVecNotEmptyNode"
		},
		"final": {
			"nodeType": "FinalNode",
			"release": ["srcImage"]
		}
	}
}